%define         videodev      /dev/video0

Name:           wmwebcam
Version:        0.3.5
Release:        %mkrel 4
Summary:        A dock application for your webcam
License:        GPLv2
Group:          Video/Players

URL:            http://dockapps.windowmaker.org/file.php/id/94
Source0:        http://dockapps.windowmaker.org/download.php/id/132/%{name}-%{version}.tar.gz
#old legacy v4l1 prog, patch to use libv4l1 
Patch0:         %{name}-0.3.5-libv4l1.patch
#clean the perl script: removed call to "stamp" (old)
Patch1:         %{name}-0.3.5-script.patch


BuildRequires:  libxcb-devel
BuildRequires:  libx11-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  libxext-devel
BuildRequires:  libice-devel
BuildRequires:  libxpm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libv4l-devel
Requires:       openssh-clients
Requires:       perl
Requires:       grep


%description
Wmwebcam is yet another dockapp for WindowMaker, or any desktop
environment that handles dock applications, that streams your webcam
into a small docked window. Check the perl script
"%{_bindir}/%{name}.pl" if you want to publish the captured images
with your favorite web server.


%prep
%setup -q
%patch0 -p0 -b .old
%patch1 -p0 -b .old


%build
%make CFLAGS="%optflags -DVIDEO_DEV='\"%videodev\"'" \
      LDFLAGS="%ldflags" LIBS="-lX11 -lXext -lm -ljpeg -lv4l1"


%install
rm -rf %{buildroot}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 755 %{name}.pl %{buildroot}%{_bindir}/%{name}.pl

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING 
%{_bindir}/%{name}
%{_bindir}/%{name}.pl




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.5-4.mga4
+ Revision: 520163
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3.5-3.mga3
+ Revision: 385813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.3.5-2.mga3
+ Revision: 315384
- Rebuild for mga3, update group

* Sun Jan 15 2012 eatdirt <eatdirt> 0.3.5-1.mga2
+ Revision: 196518
- imported package wmwebcam


* Sun Jan 15 2012 Chris Ringeval <dirteat@gmail.com> 0.3.5-1.mga2
- Import wmwebcam (patch to get it works with libv4l1)
